"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = _default;

var _chalk = _interopRequireDefault(require("chalk"));

var _cleanComposeFiles = _interopRequireDefault(require("./clean-compose-files"));

var _invalidState = _interopRequireDefault(require("./invalid-state"));

var _invalidComposeConfig = _interopRequireDefault(require("./invalid-compose-config"));

async function run(fns) {
  const errors = [];

  for (const fn of fns) {
    try {
      await fn();
    } catch (ex) {
      errors.push(ex);
    }
  }

  return errors;
}

async function _default() {
  const errors = await run([_cleanComposeFiles.default, _invalidState.default, _invalidComposeConfig.default]);

  if (errors.length > 0) {
    console.log(_chalk.default.yellow('There were some issues'));
    console.log();
    errors.forEach(error => console.log(error.stack));
    return;
  }

  console.log();
  console.log(_chalk.default.green(' ✔ Finished tests'));
  console.log();
  console.log(' Please try running Navy again if it wasn\'t working before.');
  console.log(' If you still have problems, please open an issue at https://github.com/momentumft/navy/issues/new');
  console.log();
}

module.exports = exports.default;