"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = _default;

var _ = require("../../");

var _util = require("./util");

async function _default() {
  (0, _util.start)('Checking for Navies with invalid/no compose config');
  const navies = await (0, _.getLaunchedNavies)();
  await Promise.all(navies.map(async navy => {
    await (0, _util.catchInvariant)('NO_DOCKER_COMPOSE_FILE', async () => {
      await (await navy.safeGetDriver()).getConfig();
    }, async () => {
      await (0, _util.fix)('Found Navy %s which has no docker compose config, removing', navy.name, async () => {
        await navy.delete();
      });
    });
  }));
}

module.exports = exports.default;