"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = _default;

var _ = require("../../");

var _util = require("./util");

async function _default() {
  (0, _util.start)('Checking for dangling Navies');
  const navies = await (0, _.getLaunchedNavies)();
  await Promise.all(navies.map(async navy => {
    const configProvider = await navy.getConfigProvider();

    if (!configProvider) {
      await (0, _util.fix)('Found Navy without config provider %s, removing', navy.name, async () => {
        await navy.delete();
      });
      return;
    }

    if (await configProvider.isDangling()) {
      await (0, _util.fix)('Found dangling Navy %s (invalid config), removing', navy.name, async () => {
        await navy.destroy();
      });
    }
  }));
}

module.exports = exports.default;