"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = _default;

var _path = _interopRequireDefault(require("path"));

var _chalk = _interopRequireDefault(require("chalk"));

var _fs = _interopRequireDefault(require("../util/fs"));

var _ = require("../");

var _configProvider = require("../config-provider");

var _util = require("./util");

async function _default(opts) {
  const navy = (0, _.getNavy)(opts.navy);

  const boatAsciiArt = _fs.default.readFileSync(_path.default.join(__dirname, '../../resources/sailing-boat.txt')).toString();

  const initialiseOpts = await (0, _configProvider.getImportOptionsForCLI)(opts);
  await (0, _util.importNavy)(navy, initialiseOpts);
  console.log(` You can now use ${_chalk.default.bold('navy')} commands from any directory to control this Navy.`);
  console.log();

  if (process.stdout.isTTY) {
    console.log(boatAsciiArt);
    console.log();
  }
}

module.exports = exports.default;