"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _package = _interopRequireDefault(require("../../package.json"));

var _program = _interopRequireDefault(require("./program"));

var _errors = require("../errors");

const debug = require('debug')('navy:cli');

_program.default.version(_package.default.version);

_program.default.command('help').alias('*').action(() => _program.default.help());

try {
  _program.default.parse(process.argv);
} catch (ex) {
  if (ex instanceof _errors.NavyError) {
    ex.prettyPrint();
  } else {
    throw ex;
  }
}

debug('Invoked CLI action');

if (_program.default.args.length === 0) {
  _program.default.help();
}