"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = _default;

var _chalk = _interopRequireDefault(require("chalk"));

var _invariant = _interopRequireDefault(require("invariant"));

var _ = require("../");

var _driverLogging = require("../driver-logging");

async function _default(opts) {
  const navy = (0, _.getNavy)(opts.navy);
  const configProvider = await navy.getConfigProvider();
  (0, _invariant.default)(configProvider, "NO_CONFIG_PROVIDER: Couldn't determine config provider for navy %s", navy.name);
  await configProvider.refreshConfig();
  (0, _driverLogging.startDriverLogging)('Ensuring services are up to date...');
  await navy.reconfigure();
  (0, _driverLogging.stopDriverLogging)();
  console.log(_chalk.default.green(`Config refreshed for Navy "${opts.navy}"`));
}

module.exports = exports.default;