"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.middlewareHelpers = void 0;

var _lodash = require("lodash");

const middlewareHelpers = {
  rewriteServices(config, serviceMapperFn) {
    return { ...config,
      services: (0, _lodash.mapValues)(config.services || {}, serviceMapperFn)
    };
  },

  rewriteServicesWithState(config, state, serviceMapperFn) {
    const normalisedState = state || {
      services: {}
    };

    function mapperFn(service, serviceName) {
      return serviceMapperFn(service, serviceName, normalisedState.services[serviceName]);
    }

    return { ...config,
      services: (0, _lodash.mapValues)(config.services || {}, mapperFn)
    };
  },

  addVolumes(service, volumes) {
    const normalisedVolumes = service.volumes || [];
    return [...normalisedVolumes, ...volumes];
  }

};
exports.middlewareHelpers = middlewareHelpers;