"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.middlewareRunner = middlewareRunner;

var _bluebird = _interopRequireDefault(require("bluebird"));

var _defaultMiddleware = _interopRequireDefault(require("./default-middleware"));

async function middlewareRunner(navy, state) {
  const driver = await navy.getDriver();

  if (!driver) {
    return;
  }

  await navy.ensurePluginsLoaded();
  const config = await _bluebird.default.reduce([...(0, _defaultMiddleware.default)(navy), ...navy._registeredMiddleware], async (prevConfig, middlewareFn) => await middlewareFn(prevConfig, state), await driver.getConfig());
  await driver.writeConfig(config);
}